<div class="container" *ngIf="finalizada == false  && minutos >= 5">
    <h4>Actividades</h4>
    <hr>
    <div *ngIf="actividades == undefined && actividades.length == 0">
        <h3 style="text-align: center;">Sin actividades</h3>
        <hr>
    </div>
    <div *ngIf="actividades !== undefined && actividades.length !== 0">
        <div *ngFor="let datos of actividades; let i = index" class="d-flex align-items-center mb-3">
            <div class="mr-3">
                <span class="cursor">
                    <img [src]="'http://localhost:8080/imgs/usuarios/' + datos.imagenUsuario"
                        class="pfp d-none d-xl-block d-xxl-block"
                        title="{{datos.nombreUsuario}} {{datos.apellidoUsuario}}" style="margin-left: 30px;">
                </span>
            </div>
            <div class="flex-grow-1">
                <div class="ellipsis" title="{{datos.tituloToDo}}">
                    <span class="cursor">{{datos.tituloToDo}}</span>
                </div>
            </div>
            <div class="ml-auto">
                <span class="etiqueta" style="background-color: blue;"
                    *ngIf="datos.idReunionIniciada == idReunionIniciada">Nuevo</span>
                <span class="etiqueta" style="background-color: rgb(255, 0, 0);"
                    *ngIf="tarde(datos.dueDateToDo)">Tarde</span>
            </div>
        </div>
    </div>
    <hr>
    <h4>Calificación</h4>
    <div class="d-flex align-items-center justify-content-center">
        <div class="row mt-5">
            <div *ngFor="let reunion of participantes; let i = index" class="col-md-4 mb-4">
                <div class="d-flex align-items-center">
                    <input type="number" class="form-control" style="width: 60px; text-align: center;"
                        [(ngModel)]="calificaciones[i]" name="calificacion{{i}}">
                    <img [src]="'http://localhost:8080/imgs/usuarios/' + reunion.pfp"
                        class="pfp d-none d-xl-block d-xxl-block" title="{{reunion.nombre}} {{reunion.apellido}}"
                        style="margin-left: 30px;">
                    <p style="margin-left: 7px; margin-top: 14px;">{{reunion.nombre}} {{reunion.apellido}}</p>
                </div>
            </div>
        </div>
    </div>
    <hr>
    <div class="col-12 d-flex justify-content-end">
        <button class="btn btn-success" (click)="terminarReunion()">Terminar reunión</button>
    </div>
</div>

<div class="container" *ngIf="finalizada == false && minutos < 5">
    <h2>Parece que esto solo fue una vista previa, no enviaremos ningún correo.</h2>
    <hr>
    <div class="col-12 d-flex justify-content-end">
        <button class="btn btn-success" (click)="terminarReunion()">Terminar reunión</button>
    </div>
</div>

<div class="container" style="text-align: center;" *ngIf="finalizada == true">
    <div class="row">
        <div class="col-md-6 mb-4">
            <div class="card">
                <div class="card-body">
                    <img src="../../.../../../../../assets/img/NoProblemas.png" width="85px">
                    <h3>Problemas resueltos</h3>
                    <h5>{{issuesResueltos}}</h5>
                </div>
            </div>
        </div>
        <div class="col-md-6 mb-4">
            <!-- Tarjeta 2 arriba -->
            <div class="card">
                <div class="card-body">
                    <img src="../../.../../../../../assets/img/NoActividades.png" width="85px">
                    <h3>Porcentaje de actividades</h3>
                    <h5>{{porcentaje}}%</h5>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6 mb-4">
            <!-- Tarjeta 3 abajo -->
            <div class="card">
                <div class="card-body">
                    <img src="../../.../../../../../assets/img/Promedio.png" width="85px">
                    <h3>Calificación</h3>
                    <h5>{{calcularProm()}}</h5>
                </div>
            </div>
        </div>
        <div class="col-md-6 mb-4">
            <!-- Tarjeta 4 abajo -->
            <div class="card">
                <div class="card-body">
                    <img src="../../.../../../../../assets/img/Tiempo.png" width="85px">
                    <h3>Tiempo</h3>
                    <h5>{{tiempo}} minutos</h5>
                </div>
            </div>
        </div>
    </div>
</div>